//_ NoBug(7)
//_ ========
//_
//_ NAME
//_ ----
//_ nobug - a debugging library for instrumenting C and C++ programs
//_
//_ SYNOPSIS
//_ --------
//_
//=synopsis

//_ DESCRIPTION
//_ -----------
//_  TODO: write short description

// =buildlevels
// =whichlibrary
// =initialization
// =macros

//=scopechecks

//_ Assertions
//_ ----------
//=assertions


// =logging
// =logconfiguration
// =logflags

// _ Logging Macros
// _ ~~~~~~~~~~~~~~
// _
//=logmacros

//_ Dumping Datastructures
//_ ----------------------
// =dumping
//=dumpmacros

//_ Source Annotations
//_ ------------------
// _
// _ One can tagging features as:
// _
//=annotations
// =annotationtable


//_ Fault injection
//_ ---------------
//_
//=faultinjection

//_ Resource Tracking
//_ -----------------
// =resourcetracking
// _
// _ The macros
// _ ~~~~~~~~~
//=resourcemacros
// _
// =resourceexample
// _
// =resourcedeadlock
// _


// =multithreading

//_ Tool Macros
//_ -----------
//=toolmacros

// =bestpractices


// _
// _ Appendix
// _ --------
// _
// =appendix

// _
// _ Glossary
// _ --------
// _
// =glossary

// _
// _ Index
// _ -----
// _
Todo index only for html generation, other dockbook toolchains generate
the index automatically
// =index
// _

